

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>pycity_scheduling &mdash; pycity_scheduling v1.4.1 v1.4.1 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=e59714d7" />

  
      <script src="_static/jquery.js?v=5d32c60e"></script>
      <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="_static/documentation_options.js?v=cebe732b"></script>
      <script src="_static/doctools.js?v=9bcbadda"></script>
      <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="pycity_scheduling.algorithms package" href="pycity_scheduling.algorithms.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="#" class="icon icon-home">
            pycity_scheduling v1.4.1
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.algorithms.html">pycity_scheduling.algorithms package</a></li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.classes.html">pycity_scheduling.classes package</a></li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.util.html">pycity_scheduling.util package</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="#">pycity_scheduling v1.4.1</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="#" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">pycity_scheduling</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="pycity-scheduling">
<h1>pycity_scheduling<a class="headerlink" href="#pycity-scheduling" title="Link to this heading"></a></h1>
<a class="reference internal image-reference" href="_images/pycity_scheduling.png"><img alt="_images/pycity_scheduling.png" class="align-right" src="_images/pycity_scheduling.png" style="width: 141.75px; height: 106.35px;" />
</a>
<p>The pycity_scheduling documentation v1.4.1</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.algorithms.html">pycity_scheduling.algorithms package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.algorithm">pycity_scheduling.algorithms.algorithm module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.algorithm.DistributedAlgorithm"><code class="docutils literal notranslate"><span class="pre">DistributedAlgorithm</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.algorithm.IterationAlgorithm"><code class="docutils literal notranslate"><span class="pre">IterationAlgorithm</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.algorithm.OptimizationAlgorithm"><code class="docutils literal notranslate"><span class="pre">OptimizationAlgorithm</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.algorithm.SolverNode"><code class="docutils literal notranslate"><span class="pre">SolverNode</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.algorithm_ray">pycity_scheduling.algorithms.algorithm_ray module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.algorithm_ray.RaySolverNode"><code class="docutils literal notranslate"><span class="pre">RaySolverNode</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.algorithm_ray.get_beta"><code class="docutils literal notranslate"><span class="pre">get_beta()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.algorithm_ray.list_into_n_chunks"><code class="docutils literal notranslate"><span class="pre">list_into_n_chunks()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.central_optimization_algorithm">pycity_scheduling.algorithms.central_optimization_algorithm module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.central_optimization_algorithm.CentralOptimization"><code class="docutils literal notranslate"><span class="pre">CentralOptimization</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.derivative_free_aladin_algorithm">pycity_scheduling.algorithms.derivative_free_aladin_algorithm module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.derivative_free_aladin_algorithm.DerivativeFreeALADIN"><code class="docutils literal notranslate"><span class="pre">DerivativeFreeALADIN</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray">pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray.DerivativeFreeALADINRay"><code class="docutils literal notranslate"><span class="pre">DerivativeFreeALADINRay</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray_Hvet">pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray_Hvet module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.derivative_free_aladin_algorithm_ray_Hvet.DerivativeFreeALADINRay_Hvet"><code class="docutils literal notranslate"><span class="pre">DerivativeFreeALADINRay_Hvet</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.dual_decomposition_algorithm">pycity_scheduling.algorithms.dual_decomposition_algorithm module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.dual_decomposition_algorithm.DualDecomposition"><code class="docutils literal notranslate"><span class="pre">DualDecomposition</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.dual_decomposition_algorithm_mpi">pycity_scheduling.algorithms.dual_decomposition_algorithm_mpi module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.dual_decomposition_algorithm_mpi.DualDecompositionMPI"><code class="docutils literal notranslate"><span class="pre">DualDecompositionMPI</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.dual_decomposition_algorithm_ray">pycity_scheduling.algorithms.dual_decomposition_algorithm_ray module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.dual_decomposition_algorithm_ray.DualDecompositionRay"><code class="docutils literal notranslate"><span class="pre">DualDecompositionRay</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_admm_algorithm">pycity_scheduling.algorithms.exchange_admm_algorithm module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.exchange_admm_algorithm.ExchangeADMM"><code class="docutils literal notranslate"><span class="pre">ExchangeADMM</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_admm_algorithm_mpi">pycity_scheduling.algorithms.exchange_admm_algorithm_mpi module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.exchange_admm_algorithm_mpi.ExchangeADMMMPI"><code class="docutils literal notranslate"><span class="pre">ExchangeADMMMPI</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_admm_algorithm_ray">pycity_scheduling.algorithms.exchange_admm_algorithm_ray module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.exchange_admm_algorithm_ray.ExchangeADMMRay"><code class="docutils literal notranslate"><span class="pre">ExchangeADMMRay</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_miqp_admm_algorithm">pycity_scheduling.algorithms.exchange_miqp_admm_algorithm module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.exchange_miqp_admm_algorithm.ExchangeMIQPADMM"><code class="docutils literal notranslate"><span class="pre">ExchangeMIQPADMM</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_mpi">pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_mpi module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_mpi.ExchangeMIQPADMMMPI"><code class="docutils literal notranslate"><span class="pre">ExchangeMIQPADMMMPI</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_ray">pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_ray module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.exchange_miqp_admm_algorithm_ray.ExchangeMIQPADMMRay"><code class="docutils literal notranslate"><span class="pre">ExchangeMIQPADMMRay</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.local_optimization_algorithm">pycity_scheduling.algorithms.local_optimization_algorithm module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.local_optimization_algorithm.LocalOptimization"><code class="docutils literal notranslate"><span class="pre">LocalOptimization</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms.stand_alone_optimization_algorithm">pycity_scheduling.algorithms.stand_alone_optimization_algorithm module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.stand_alone_optimization_algorithm.StandAlone"><code class="docutils literal notranslate"><span class="pre">StandAlone</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.algorithms.html#module-pycity_scheduling.algorithms">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.CentralOptimization"><code class="docutils literal notranslate"><span class="pre">CentralOptimization</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.DerivativeFreeALADIN"><code class="docutils literal notranslate"><span class="pre">DerivativeFreeALADIN</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.DerivativeFreeALADINRay"><code class="docutils literal notranslate"><span class="pre">DerivativeFreeALADINRay</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.DerivativeFreeALADINRay_Hvet"><code class="docutils literal notranslate"><span class="pre">DerivativeFreeALADINRay_Hvet</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.DualDecomposition"><code class="docutils literal notranslate"><span class="pre">DualDecomposition</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.DualDecompositionMPI"><code class="docutils literal notranslate"><span class="pre">DualDecompositionMPI</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.DualDecompositionRay"><code class="docutils literal notranslate"><span class="pre">DualDecompositionRay</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.ExchangeADMM"><code class="docutils literal notranslate"><span class="pre">ExchangeADMM</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.ExchangeADMMMPI"><code class="docutils literal notranslate"><span class="pre">ExchangeADMMMPI</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.ExchangeADMMRay"><code class="docutils literal notranslate"><span class="pre">ExchangeADMMRay</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.ExchangeMIQPADMM"><code class="docutils literal notranslate"><span class="pre">ExchangeMIQPADMM</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.ExchangeMIQPADMMMPI"><code class="docutils literal notranslate"><span class="pre">ExchangeMIQPADMMMPI</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.ExchangeMIQPADMMRay"><code class="docutils literal notranslate"><span class="pre">ExchangeMIQPADMMRay</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.LocalOptimization"><code class="docutils literal notranslate"><span class="pre">LocalOptimization</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.algorithms.html#pycity_scheduling.algorithms.StandAlone"><code class="docutils literal notranslate"><span class="pre">StandAlone</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.classes.html">pycity_scheduling.classes package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.apartment">pycity_scheduling.classes.apartment module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.apartment.Apartment"><code class="docutils literal notranslate"><span class="pre">Apartment</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.battery">pycity_scheduling.classes.battery module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.battery.Battery"><code class="docutils literal notranslate"><span class="pre">Battery</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.boiler">pycity_scheduling.classes.boiler module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.boiler.Boiler"><code class="docutils literal notranslate"><span class="pre">Boiler</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.building">pycity_scheduling.classes.building module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.building.Building"><code class="docutils literal notranslate"><span class="pre">Building</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.building_energy_system">pycity_scheduling.classes.building_energy_system module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.building_energy_system.BuildingEnergySystem"><code class="docutils literal notranslate"><span class="pre">BuildingEnergySystem</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.chiller">pycity_scheduling.classes.chiller module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.chiller.Chiller"><code class="docutils literal notranslate"><span class="pre">Chiller</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.city_district">pycity_scheduling.classes.city_district module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.city_district.CityDistrict"><code class="docutils literal notranslate"><span class="pre">CityDistrict</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.combined_heat_power">pycity_scheduling.classes.combined_heat_power module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.combined_heat_power.CombinedHeatPower"><code class="docutils literal notranslate"><span class="pre">CombinedHeatPower</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.curtailable_load">pycity_scheduling.classes.curtailable_load module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.curtailable_load.CurtailableLoad"><code class="docutils literal notranslate"><span class="pre">CurtailableLoad</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.deferrable_load">pycity_scheduling.classes.deferrable_load module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.deferrable_load.DeferrableLoad"><code class="docutils literal notranslate"><span class="pre">DeferrableLoad</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electric_heater">pycity_scheduling.classes.electric_heater module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.electric_heater.ElectricHeater"><code class="docutils literal notranslate"><span class="pre">ElectricHeater</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electric_vehicle">pycity_scheduling.classes.electric_vehicle module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.electric_vehicle.ElectricVehicle"><code class="docutils literal notranslate"><span class="pre">ElectricVehicle</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_entity">pycity_scheduling.classes.electrical_entity module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.electrical_entity.ElectricalEntity"><code class="docutils literal notranslate"><span class="pre">ElectricalEntity</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_grid">pycity_scheduling.classes.electrical_grid module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.electrical_grid.ElectricalGrid"><code class="docutils literal notranslate"><span class="pre">ElectricalGrid</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_line">pycity_scheduling.classes.electrical_line module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.electrical_line.ElectricalLine"><code class="docutils literal notranslate"><span class="pre">ElectricalLine</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.electrical_node">pycity_scheduling.classes.electrical_node module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.electrical_node.ElectricalNode"><code class="docutils literal notranslate"><span class="pre">ElectricalNode</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.entity_container">pycity_scheduling.classes.entity_container module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.entity_container.EntityContainer"><code class="docutils literal notranslate"><span class="pre">EntityContainer</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.environment">pycity_scheduling.classes.environment module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.environment.Environment"><code class="docutils literal notranslate"><span class="pre">Environment</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.fixed_load">pycity_scheduling.classes.fixed_load module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.fixed_load.FixedLoad"><code class="docutils literal notranslate"><span class="pre">FixedLoad</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.heat_pump">pycity_scheduling.classes.heat_pump module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.heat_pump.HeatPump"><code class="docutils literal notranslate"><span class="pre">HeatPump</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.optimization_entity">pycity_scheduling.classes.optimization_entity module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.optimization_entity.OptimizationEntity"><code class="docutils literal notranslate"><span class="pre">OptimizationEntity</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.photovoltaic">pycity_scheduling.classes.photovoltaic module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.photovoltaic.Photovoltaic"><code class="docutils literal notranslate"><span class="pre">Photovoltaic</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.prices">pycity_scheduling.classes.prices module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.prices.Prices"><code class="docutils literal notranslate"><span class="pre">Prices</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.space_cooling">pycity_scheduling.classes.space_cooling module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.space_cooling.SpaceCooling"><code class="docutils literal notranslate"><span class="pre">SpaceCooling</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.space_heating">pycity_scheduling.classes.space_heating module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.space_heating.SpaceHeating"><code class="docutils literal notranslate"><span class="pre">SpaceHeating</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_cooling_storage">pycity_scheduling.classes.thermal_cooling_storage module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.thermal_cooling_storage.ThermalCoolingStorage"><code class="docutils literal notranslate"><span class="pre">ThermalCoolingStorage</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_entity_cooling">pycity_scheduling.classes.thermal_entity_cooling module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.thermal_entity_cooling.ThermalEntityCooling"><code class="docutils literal notranslate"><span class="pre">ThermalEntityCooling</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_entity_heating">pycity_scheduling.classes.thermal_entity_heating module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.thermal_entity_heating.ThermalEntityHeating"><code class="docutils literal notranslate"><span class="pre">ThermalEntityHeating</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.thermal_heating_storage">pycity_scheduling.classes.thermal_heating_storage module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.thermal_heating_storage.ThermalHeatingStorage"><code class="docutils literal notranslate"><span class="pre">ThermalHeatingStorage</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.timer">pycity_scheduling.classes.timer module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.timer.Timer"><code class="docutils literal notranslate"><span class="pre">Timer</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.weather">pycity_scheduling.classes.weather module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.weather.Weather"><code class="docutils literal notranslate"><span class="pre">Weather</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes.wind_energy_converter">pycity_scheduling.classes.wind_energy_converter module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.wind_energy_converter.WindEnergyConverter"><code class="docutils literal notranslate"><span class="pre">WindEnergyConverter</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.classes.html#module-pycity_scheduling.classes">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Apartment"><code class="docutils literal notranslate"><span class="pre">Apartment</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Battery"><code class="docutils literal notranslate"><span class="pre">Battery</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Boiler"><code class="docutils literal notranslate"><span class="pre">Boiler</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Building"><code class="docutils literal notranslate"><span class="pre">Building</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.BuildingEnergySystem"><code class="docutils literal notranslate"><span class="pre">BuildingEnergySystem</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Chiller"><code class="docutils literal notranslate"><span class="pre">Chiller</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.CityDistrict"><code class="docutils literal notranslate"><span class="pre">CityDistrict</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.CombinedHeatPower"><code class="docutils literal notranslate"><span class="pre">CombinedHeatPower</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.CurtailableLoad"><code class="docutils literal notranslate"><span class="pre">CurtailableLoad</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.DeferrableLoad"><code class="docutils literal notranslate"><span class="pre">DeferrableLoad</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ElectricHeater"><code class="docutils literal notranslate"><span class="pre">ElectricHeater</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ElectricVehicle"><code class="docutils literal notranslate"><span class="pre">ElectricVehicle</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ElectricalEntity"><code class="docutils literal notranslate"><span class="pre">ElectricalEntity</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ElectricalGrid"><code class="docutils literal notranslate"><span class="pre">ElectricalGrid</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ElectricalLine"><code class="docutils literal notranslate"><span class="pre">ElectricalLine</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ElectricalNode"><code class="docutils literal notranslate"><span class="pre">ElectricalNode</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Environment"><code class="docutils literal notranslate"><span class="pre">Environment</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.FixedLoad"><code class="docutils literal notranslate"><span class="pre">FixedLoad</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.HeatPump"><code class="docutils literal notranslate"><span class="pre">HeatPump</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.OptimizationEntity"><code class="docutils literal notranslate"><span class="pre">OptimizationEntity</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Photovoltaic"><code class="docutils literal notranslate"><span class="pre">Photovoltaic</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Prices"><code class="docutils literal notranslate"><span class="pre">Prices</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.SpaceCooling"><code class="docutils literal notranslate"><span class="pre">SpaceCooling</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.SpaceHeating"><code class="docutils literal notranslate"><span class="pre">SpaceHeating</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ThermalCoolingStorage"><code class="docutils literal notranslate"><span class="pre">ThermalCoolingStorage</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ThermalEntityCooling"><code class="docutils literal notranslate"><span class="pre">ThermalEntityCooling</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ThermalEntityHeating"><code class="docutils literal notranslate"><span class="pre">ThermalEntityHeating</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.ThermalHeatingStorage"><code class="docutils literal notranslate"><span class="pre">ThermalHeatingStorage</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Timer"><code class="docutils literal notranslate"><span class="pre">Timer</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.Weather"><code class="docutils literal notranslate"><span class="pre">Weather</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.WindEnergyConverter"><code class="docutils literal notranslate"><span class="pre">WindEnergyConverter</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.classes.html#pycity_scheduling.classes.filter_entities"><code class="docutils literal notranslate"><span class="pre">filter_entities()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="pycity_scheduling.util.html">pycity_scheduling.util package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.approximation">pycity_scheduling.util.approximation module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.approximation.piecewise_linear_approx"><code class="docutils literal notranslate"><span class="pre">piecewise_linear_approx()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.debug">pycity_scheduling.util.debug module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.debug.analyze_model"><code class="docutils literal notranslate"><span class="pre">analyze_model()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.debug.print_district"><code class="docutils literal notranslate"><span class="pre">print_district()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.district_analyzer">pycity_scheduling.util.district_analyzer module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.district_analyzer.DistrictAnalyzer"><code class="docutils literal notranslate"><span class="pre">DistrictAnalyzer</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.factory">pycity_scheduling.util.factory module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.factory.generate_simple_building"><code class="docutils literal notranslate"><span class="pre">generate_simple_building()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.factory.generate_standard_environment"><code class="docutils literal notranslate"><span class="pre">generate_standard_environment()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.factory.generate_tabula_buildings"><code class="docutils literal notranslate"><span class="pre">generate_tabula_buildings()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.factory.generate_tabula_district"><code class="docutils literal notranslate"><span class="pre">generate_tabula_district()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.generic_constraints">pycity_scheduling.util.generic_constraints module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.generic_constraints.Constraint"><code class="docutils literal notranslate"><span class="pre">Constraint</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.generic_constraints.LowerActivationLimit"><code class="docutils literal notranslate"><span class="pre">LowerActivationLimit</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.metric">pycity_scheduling.util.metric module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.absolute_flexibility_gain"><code class="docutils literal notranslate"><span class="pre">absolute_flexibility_gain()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.autarky"><code class="docutils literal notranslate"><span class="pre">autarky()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.calculate_adj_costs"><code class="docutils literal notranslate"><span class="pre">calculate_adj_costs()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.calculate_adj_energy"><code class="docutils literal notranslate"><span class="pre">calculate_adj_energy()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.calculate_adj_power"><code class="docutils literal notranslate"><span class="pre">calculate_adj_power()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.calculate_co2"><code class="docutils literal notranslate"><span class="pre">calculate_co2()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.calculate_costs"><code class="docutils literal notranslate"><span class="pre">calculate_costs()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.metric_delta_g"><code class="docutils literal notranslate"><span class="pre">metric_delta_g()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.peak_reduction_ratio"><code class="docutils literal notranslate"><span class="pre">peak_reduction_ratio()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.peak_to_average_ratio"><code class="docutils literal notranslate"><span class="pre">peak_to_average_ratio()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.metric.self_consumption"><code class="docutils literal notranslate"><span class="pre">self_consumption()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.mpi_interface">pycity_scheduling.util.mpi_interface module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.mpi_interface.MPIInterface"><code class="docutils literal notranslate"><span class="pre">MPIInterface</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.mpi_interface.UnbufferedPrint"><code class="docutils literal notranslate"><span class="pre">UnbufferedPrint</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.plot_schedules">pycity_scheduling.util.plot_schedules module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.plot_schedules.plot_entity"><code class="docutils literal notranslate"><span class="pre">plot_entity()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.plot_schedules.plot_entity_directory"><code class="docutils literal notranslate"><span class="pre">plot_entity_directory()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.plot_schedules.plot_imbalance"><code class="docutils literal notranslate"><span class="pre">plot_imbalance()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util.write_schedules">pycity_scheduling.util.write_schedules module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.write_schedules.schedule_to_csv"><code class="docutils literal notranslate"><span class="pre">schedule_to_csv()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.write_schedules.schedule_to_dict"><code class="docutils literal notranslate"><span class="pre">schedule_to_dict()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.write_schedules.schedule_to_json"><code class="docutils literal notranslate"><span class="pre">schedule_to_json()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="pycity_scheduling.util.html#module-pycity_scheduling.util">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.calculate_flexibility_potential"><code class="docutils literal notranslate"><span class="pre">calculate_flexibility_potential()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.compute_profile"><code class="docutils literal notranslate"><span class="pre">compute_profile()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.extract_pyomo_value"><code class="docutils literal notranslate"><span class="pre">extract_pyomo_value()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="pycity_scheduling.util.html#pycity_scheduling.util.extract_pyomo_values"><code class="docutils literal notranslate"><span class="pre">extract_pyomo_values()</span></code></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="pycity_scheduling.algorithms.html" class="btn btn-neutral float-right" title="pycity_scheduling.algorithms package" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025, Institute for Automation of Complex Power Systems (ACS), E.ON Energy Research Center (E.ON ERC), RWTH Aachen University.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>